Summary: Library for tracking application startup
Name: startup-notification
Version: 0.7
Release: 1.XOS.1
URL: http://www.freedesktop.org/software/startup-notification/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: XFree86-devel

%description

This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package devel
Summary: Development portions of startup-notification
Group: Development/Libraries
Requires: startup-notification = %{version}-%{release}
Requires: XFree86-devel

%description devel

Header files and static libraries for libstartup-notification.

%prep
%setup -q

%configure

%build

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

## FIXME add when upstream tarball is fixed to contain docs
## doc/startup-notification.txt
%doc AUTHORS COPYING ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root,-)

%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 0.7-1.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on startup-notification-0.7-1.src.rpm
  (md5sum of original source rpm: d8216812a11a181d0a93a21dbe591243).

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 0.7-1
- Update to 0.7

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 13 2004 Warren Togami <wtogami@redhat.com> 0.6-2
- #110753 XFree86-devel

* Thu Apr  1 2004 Mark McLoughlin <markmc@redhat.com> 0.6-1
- Update to 0.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 0.5-1
- 0.5

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


